#include<iostream>
using namespace std;
int main()
{
    int a, b, c, d, e;
    cin>>a>>b>>c>>d>>e;
    int kut=4;
   /*if(a+d<=e && b+d>e && b+c<=e)
   {
       kut=2;
       cout<<kut;
       return 0;
   }
    if(a+d<=e && b+d<=e)
   {
       kut=1;
       cout<<kut;
       return 0;
   }
   if(a+c<=e && b+d>e)
   {
       kut=3;
       cout<<kut;
       return 0;
   }
   if(a+c<=e && b+d<=e)
   {
       kut=2;
       cout<<kut;
       return 0;
   }
   if(a+b<=e && c+d>e)
   {
       kut=3;
       cout<<kut;
       return 0;
   }
   if(a+b<=e && c+d<=e)
    {
        kut=2;
    }
   cout<<kut;*/
   if(d+a<=e && d+b<=e && d+c<=e)
   {
       cout<<1;
       return 0;
   }
   if(d+a<=e && d+b<=e && d+c>e)
   {
       cout<<2;
       return 0;
   }
   if(d+a<=e && d+b>e && b+c<=e)
   {
       cout<<2;
       return 0;
   }
   if(d+a<=e && d+b>e && b+c>e)
   {
       cout<<3;
       return 0;
   }
   if(d+a>e && a+b<=e && b+c>e)
   {
       cout<<3;
       return 0;
   }
   if(d+a>e && b+a >e && c+a>e)
   {
       cout<<4;
   }
    return 0;
}
